All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.util.validators
Interface ValidatorInterface

All Known Subinterfaces:
  ContainerInterface

All Known Implementing Classes:
  ArrowButton, BaseButton, BasicColorsPanel, BorderedContainer, BorderedPanel, BufferedPanel, ButtonDialog, ButtonPanel, CatalogSelectorDialog, CheckBoxCell, ClassSelectorPanel, CloseCancelCustomizerDialog, ColorDialog, ColorPanel, ComboBox, CompositeContainer, CompositePanel, Container, ContainerContainerComponent, CustomColorsPanel, CustomizerDialog, CustomizerPanel, DataSetSelectorDialog, Dialog, DialogContainerComponent, DirectoryDialog, DualSelector, EISSelectorDialog, FileListFiltersPanel, FontDialog, FontPanel, Frame, FrameContainerComponent, GraphicalCheckBox, IndexedPropertyEditorHost, LibrarySelectorDialog, MessageBox, MetabaseSelectorDialog, NavigationBar, NumericTextField, OkCancelHelpDialog, OrientationSelector, Panel, PanelContainerComponent, ProgressDialog, PropertyEditorHost, PropertySheet, PushButton, RadioBox, RadioButton, RemoteObjectCustomizerPanel, RemoteObjectSelectorDialog, Scrollbar, ScrollPane, ScrollPaneContainerComponent, SpinBox, TabBar, TabbedView, TabButton, TabFolder, TableView, TextArea, TextEditComposite, TextField, ToggleButton, Toolbar, ToolbarButton, TreeView, UnitsBox, UpDownListBox, UpDownTextArea, WordWrapTextArea

    public interface ValidatorInterface

Method Summary
`abstract ErrorHandlerInterface` | `getErrorHandler()`
`abstract ValidationInterface` | `getValidator()`
`abstract boolean` | `isValid()`
`abstract void` | `setErrorHandler(ErrorHandlerInterface errorHandler)`
`abstract void` | `setValidator(ValidationInterface validator)`

Method Detail

### isValid

    boolean isValid()

### getErrorHandler

    ErrorHandlerInterface getErrorHandler()

### setErrorHandler

    void setErrorHandler(ErrorHandlerInterface errorHandler)

### getValidator

    ValidationInterface getValidator()

### setValidator

    void setValidator(ValidationInterface validator)

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.